import { GraphQLSchema, DocumentNode } from "graphql";
import { IResolvers } from "@kamilkisiela/graphql-tools";
import { ResolversComposerMapping } from "../utils";
export interface MergeSchemasConfig<Resolvers extends IResolvers = IResolvers> {
    schemas: GraphQLSchema[];
    typeDefs?: (DocumentNode | string)[] | DocumentNode | string;
    resolvers?: Resolvers | Resolvers[];
    resolversComposition?: ResolversComposerMapping<Resolvers>;
    exclusions?: string[];
}
export declare function mergeSchemas({ schemas, typeDefs, resolvers, resolversComposition, exclusions, }: MergeSchemasConfig): GraphQLSchema;
export declare function mergeSchemasAsync({ schemas, typeDefs, resolvers, resolversComposition, exclusions, }: MergeSchemasConfig): Promise<GraphQLSchema>;
